<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hidsc__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hidsc_t</compoundname>
    <includes local="no">cy_ble_hids.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hidsc__t_1a78e166f966f638dd5289af5d7f178f3f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_hidsc_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="219" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="219" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidsc__t_1abf4c6c540b7eef498d5707ebe4506a8a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref></type>
        <definition>cy_stc_ble_srvr_char_info_t cy_stc_ble_hidsc_t::protocolMode</definition>
        <argsstring />
        <name>protocolMode</name>
        <briefdescription>
<para>Protocol Mode Characteristic handle and properties. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="222" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="222" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidsc__t_1a27084893f53cc539e88f6b34ff22e551" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__hidsc__report__t">cy_stc_ble_hidsc_report_t</ref></type>
        <definition>cy_stc_ble_hidsc_report_t cy_stc_ble_hidsc_t::bootReport[CY_BLE_HIDS_BOOT_REPORT_COUNT]</definition>
        <argsstring>[CY_BLE_HIDS_BOOT_REPORT_COUNT]</argsstring>
        <name>bootReport</name>
        <briefdescription>
<para>Boot Report Characteristic info. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="225" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="225" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidsc__t_1ae30dd462b7e7aef35b462fa814432d12" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__hidsc__report__map__t">cy_stc_ble_hidsc_report_map_t</ref></type>
        <definition>cy_stc_ble_hidsc_report_map_t cy_stc_ble_hidsc_t::reportMap</definition>
        <argsstring />
        <name>reportMap</name>
        <briefdescription>
<para>Report Map Characteristic handle and descriptors. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="228" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="228" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidsc__t_1a87015f55a2e119bfda3cb685726914d4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref></type>
        <definition>cy_stc_ble_srvr_char_info_t cy_stc_ble_hidsc_t::information</definition>
        <argsstring />
        <name>information</name>
        <briefdescription>
<para>Information Characteristic handle and properties. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="231" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="231" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidsc__t_1ac40577c7d8ed2cc5e8583544b0e04080" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref></type>
        <definition>cy_stc_ble_srvr_char_info_t cy_stc_ble_hidsc_t::controlPoint</definition>
        <argsstring />
        <name>controlPoint</name>
        <briefdescription>
<para>Control Point Characteristic handle and properties. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="234" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="234" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidsc__t_1acd12f33a6094b0e78d6362d1f548f2ea" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__hidsc__report__t">cy_stc_ble_hidsc_report_t</ref></type>
        <definition>cy_stc_ble_hidsc_report_t cy_stc_ble_hidsc_t::report[CY_BLE_HIDSC_REPORT_MAX]</definition>
        <argsstring>[CY_BLE_HIDSC_REPORT_MAX]</argsstring>
        <name>report</name>
        <briefdescription>
<para>Report Characteristic info. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="237" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="237" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidsc__t_1a5ab638667b0a8caba9857d76f2e6992a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_hidsc_t::reportCount</definition>
        <argsstring />
        <name>reportCount</name>
        <briefdescription>
<para>Number of report Characteristics. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="240" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="240" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidsc__t_1a280ad0dcbab316edc6392c10c7dcee2b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hidsc_t::includeHandle</definition>
        <argsstring />
        <name>includeHandle</name>
        <briefdescription>
<para>Included declaration handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="243" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="243" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Discovered Attributes Information of HID Service. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="812">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="810">
        <label>cy_stc_ble_hidsc_report_t</label>
        <link refid="structcy__stc__ble__hidsc__report__t" />
      </node>
      <node id="809">
        <label>cy_stc_ble_hidsc_report_map_t</label>
        <link refid="structcy__stc__ble__hidsc__report__map__t" />
      </node>
      <node id="811">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
      <node id="808">
        <label>cy_stc_ble_hidsc_t</label>
        <link refid="structcy__stc__ble__hidsc__t" />
        <childnode refid="809" relation="usage">
          <edgelabel>reportMap</edgelabel>
        </childnode>
        <childnode refid="810" relation="usage">
          <edgelabel>bootReport</edgelabel>
          <edgelabel>report</edgelabel>
        </childnode>
        <childnode refid="811" relation="usage">
          <edgelabel>protocolMode</edgelabel>
          <edgelabel>controlPoint</edgelabel>
          <edgelabel>information</edgelabel>
        </childnode>
        <childnode refid="812" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="244" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="216" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="217" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hidsc__t_1a27084893f53cc539e88f6b34ff22e551" virt="non-virtual"><scope>cy_stc_ble_hidsc_t</scope><name>bootReport</name></member>
      <member prot="public" refid="structcy__stc__ble__hidsc__t_1a78e166f966f638dd5289af5d7f178f3f" virt="non-virtual"><scope>cy_stc_ble_hidsc_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hidsc__t_1ac40577c7d8ed2cc5e8583544b0e04080" virt="non-virtual"><scope>cy_stc_ble_hidsc_t</scope><name>controlPoint</name></member>
      <member prot="public" refid="structcy__stc__ble__hidsc__t_1a280ad0dcbab316edc6392c10c7dcee2b" virt="non-virtual"><scope>cy_stc_ble_hidsc_t</scope><name>includeHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hidsc__t_1a87015f55a2e119bfda3cb685726914d4" virt="non-virtual"><scope>cy_stc_ble_hidsc_t</scope><name>information</name></member>
      <member prot="public" refid="structcy__stc__ble__hidsc__t_1abf4c6c540b7eef498d5707ebe4506a8a" virt="non-virtual"><scope>cy_stc_ble_hidsc_t</scope><name>protocolMode</name></member>
      <member prot="public" refid="structcy__stc__ble__hidsc__t_1acd12f33a6094b0e78d6362d1f548f2ea" virt="non-virtual"><scope>cy_stc_ble_hidsc_t</scope><name>report</name></member>
      <member prot="public" refid="structcy__stc__ble__hidsc__t_1a5ab638667b0a8caba9857d76f2e6992a" virt="non-virtual"><scope>cy_stc_ble_hidsc_t</scope><name>reportCount</name></member>
      <member prot="public" refid="structcy__stc__ble__hidsc__t_1ae30dd462b7e7aef35b462fa814432d12" virt="non-virtual"><scope>cy_stc_ble_hidsc_t</scope><name>reportMap</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>